<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LASi: LASi Namespace Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.4 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li class="current"><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="annotated.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="namespaces.html"><span>Namespace List</span></a></li>
    <li><a href="namespacemembers.html"><span>Namespace&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>LASi Namespace Reference</h1>
<p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1oPostscriptStream.html">oPostscriptStream</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Just like any ordinary ostringstream, but maintains a reference to the <a class="el" href="classLASi_1_1PostscriptDocument.html" title="Composes Postscript document as three separate and independant streams for header...">PostscriptDocument</a>.  <a href="classLASi_1_1oPostscriptStream.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1PostscriptDocument.html">PostscriptDocument</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Composes Postscript document as three separate and independant streams for header, body and footer.  <a href="classLASi_1_1PostscriptDocument.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1setFont.html">setFont</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">stream manipulator applied to <a class="el" href="classLASi_1_1oPostscriptStream.html" title="Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument...">oPostscriptStream</a>.  <a href="classLASi_1_1setFont.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1setFontSize.html">setFontSize</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">stream manipulator applied to <a class="el" href="classLASi_1_1oPostscriptStream.html" title="Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument...">oPostscriptStream</a>.  <a href="classLASi_1_1setFontSize.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1show.html">show</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">stream applicator applied to <a class="el" href="classLASi_1_1oPostscriptStream.html" title="Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument...">oPostscriptStream</a>.  <a href="classLASi_1_1show.html#_details">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceLASi.html#677a16ea4956907672f1eab92d955672">FontStyle</a> { <a class="el" href="namespaceLASi.html#677a16ea4956907672f1eab92d9556729e47c3b32863fb436cf2f302c921d697">NORMAL_STYLE</a>, 
<a class="el" href="namespaceLASi.html#677a16ea4956907672f1eab92d955672af1fd1f6d4a84552a403e1017c9f4ce7">OBLIQUE</a>, 
<a class="el" href="namespaceLASi.html#677a16ea4956907672f1eab92d955672e6b21e0116736505553488cdb7334b17">ITALIC</a>
 }</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cc">FontWeight</a> { <br>
&nbsp;&nbsp;<a class="el" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cccf7a78ca5a7883a9150c8302d5254666">ULTRALIGHT</a>, 
<a class="el" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11ccc770652a8ad0c7a0a844eb89641e9cec">LIGHT</a>, 
<a class="el" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cceede737451356ec247985ee426b58d53">NORMAL_WEIGHT</a>, 
<a class="el" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cc5885504bb5a03f3139564e3eb0de12ef">BOLD</a>, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cc7816c49ee268403f613ad22921568179">ULTRABOLD</a>, 
<a class="el" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cc42575c34093940eb90a1fb3f37e8a7c7">HEAVY</a>
<br>
 }</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceLASi.html#0c4dd4681ddefc547e182e0a91ffa33c">FontVariant</a> { <a class="el" href="namespaceLASi.html#0c4dd4681ddefc547e182e0a91ffa33cfa318f7c87d307b7d830835f805ba552">NORMAL_VARIANT</a>, 
<a class="el" href="namespaceLASi.html#0c4dd4681ddefc547e182e0a91ffa33c1d210e351adbab9b1c1eda063ddca4ca">SMALLCAPS</a>
 }</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837">FontStretch</a> { <br>
&nbsp;&nbsp;<a class="el" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad8378de50d0cc6565e573399b0cf4832497e">ULTRACONDENSED</a>, 
<a class="el" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad83738a0be2a04c94b17cfe2bf9573ebcd27">EXTRACONDENSED</a>, 
<a class="el" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837fb570405985bf99d568f851f24d3b36b">CONDENSED</a>, 
<a class="el" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837d15fa83d6da6c7fa193299a8b1859db0">SEMICONDENSED</a>, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837a9fac282c7306e7e2269fbd48e7f4067">NORMAL_STRETCH</a>, 
<a class="el" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad8377083a771b62fdee7569882a4853c16b3">SEMIEXPANDED</a>, 
<a class="el" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837d2a897a227f35fa61580d9b5c556ecf1">EXPANDED</a>, 
<a class="el" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837cce22c4b35235666ce68171a8abcdc96">EXTRAEXPANDED</a>, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837625bd024d7418d706a31ac8121daf7d9">ULTRAEXPANDED</a>
<br>
 }</td></tr>

<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memTemplParams" nowrap colspan="2">template&lt;class T&gt; </td></tr>
<tr><td class="memTemplItemLeft" nowrap align="right" valign="top"><a class="el" href="classLASi_1_1oPostscriptStream.html">oPostscriptStream</a> &amp;&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceLASi.html#fd39842e36a3cb260167c975afd394e8">operator&lt;&lt;</a> (<a class="el" href="classLASi_1_1oPostscriptStream.html">oPostscriptStream</a> &amp;os, T t)</td></tr>

</table>
<hr><h2>Enumeration Type Documentation</h2>
<a class="anchor" name="1078bb628a6b0474a6e0e5e75acad837"></a><!-- doxytag: member="LASi::FontStretch" ref="1078bb628a6b0474a6e0e5e75acad837" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837">LASi::FontStretch</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="1078bb628a6b0474a6e0e5e75acad8378de50d0cc6565e573399b0cf4832497e"></a><!-- doxytag: member="ULTRACONDENSED" ref="1078bb628a6b0474a6e0e5e75acad8378de50d0cc6565e573399b0cf4832497e" args="" -->ULTRACONDENSED</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="1078bb628a6b0474a6e0e5e75acad83738a0be2a04c94b17cfe2bf9573ebcd27"></a><!-- doxytag: member="EXTRACONDENSED" ref="1078bb628a6b0474a6e0e5e75acad83738a0be2a04c94b17cfe2bf9573ebcd27" args="" -->EXTRACONDENSED</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="1078bb628a6b0474a6e0e5e75acad837fb570405985bf99d568f851f24d3b36b"></a><!-- doxytag: member="CONDENSED" ref="1078bb628a6b0474a6e0e5e75acad837fb570405985bf99d568f851f24d3b36b" args="" -->CONDENSED</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="1078bb628a6b0474a6e0e5e75acad837d15fa83d6da6c7fa193299a8b1859db0"></a><!-- doxytag: member="SEMICONDENSED" ref="1078bb628a6b0474a6e0e5e75acad837d15fa83d6da6c7fa193299a8b1859db0" args="" -->SEMICONDENSED</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="1078bb628a6b0474a6e0e5e75acad837a9fac282c7306e7e2269fbd48e7f4067"></a><!-- doxytag: member="NORMAL_STRETCH" ref="1078bb628a6b0474a6e0e5e75acad837a9fac282c7306e7e2269fbd48e7f4067" args="" -->NORMAL_STRETCH</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="1078bb628a6b0474a6e0e5e75acad8377083a771b62fdee7569882a4853c16b3"></a><!-- doxytag: member="SEMIEXPANDED" ref="1078bb628a6b0474a6e0e5e75acad8377083a771b62fdee7569882a4853c16b3" args="" -->SEMIEXPANDED</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="1078bb628a6b0474a6e0e5e75acad837d2a897a227f35fa61580d9b5c556ecf1"></a><!-- doxytag: member="EXPANDED" ref="1078bb628a6b0474a6e0e5e75acad837d2a897a227f35fa61580d9b5c556ecf1" args="" -->EXPANDED</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="1078bb628a6b0474a6e0e5e75acad837cce22c4b35235666ce68171a8abcdc96"></a><!-- doxytag: member="EXTRAEXPANDED" ref="1078bb628a6b0474a6e0e5e75acad837cce22c4b35235666ce68171a8abcdc96" args="" -->EXTRAEXPANDED</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="1078bb628a6b0474a6e0e5e75acad837625bd024d7418d706a31ac8121daf7d9"></a><!-- doxytag: member="ULTRAEXPANDED" ref="1078bb628a6b0474a6e0e5e75acad837625bd024d7418d706a31ac8121daf7d9" args="" -->ULTRAEXPANDED</em>&nbsp;</td><td>
</td></tr>
</table>
</dl>

</div>
</div><p>
<a class="anchor" name="677a16ea4956907672f1eab92d955672"></a><!-- doxytag: member="LASi::FontStyle" ref="677a16ea4956907672f1eab92d955672" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="namespaceLASi.html#677a16ea4956907672f1eab92d955672">LASi::FontStyle</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="677a16ea4956907672f1eab92d9556729e47c3b32863fb436cf2f302c921d697"></a><!-- doxytag: member="NORMAL_STYLE" ref="677a16ea4956907672f1eab92d9556729e47c3b32863fb436cf2f302c921d697" args="" -->NORMAL_STYLE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="677a16ea4956907672f1eab92d955672af1fd1f6d4a84552a403e1017c9f4ce7"></a><!-- doxytag: member="OBLIQUE" ref="677a16ea4956907672f1eab92d955672af1fd1f6d4a84552a403e1017c9f4ce7" args="" -->OBLIQUE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="677a16ea4956907672f1eab92d955672e6b21e0116736505553488cdb7334b17"></a><!-- doxytag: member="ITALIC" ref="677a16ea4956907672f1eab92d955672e6b21e0116736505553488cdb7334b17" args="" -->ITALIC</em>&nbsp;</td><td>
</td></tr>
</table>
</dl>

</div>
</div><p>
<a class="anchor" name="0c4dd4681ddefc547e182e0a91ffa33c"></a><!-- doxytag: member="LASi::FontVariant" ref="0c4dd4681ddefc547e182e0a91ffa33c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="namespaceLASi.html#0c4dd4681ddefc547e182e0a91ffa33c">LASi::FontVariant</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="0c4dd4681ddefc547e182e0a91ffa33cfa318f7c87d307b7d830835f805ba552"></a><!-- doxytag: member="NORMAL_VARIANT" ref="0c4dd4681ddefc547e182e0a91ffa33cfa318f7c87d307b7d830835f805ba552" args="" -->NORMAL_VARIANT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="0c4dd4681ddefc547e182e0a91ffa33c1d210e351adbab9b1c1eda063ddca4ca"></a><!-- doxytag: member="SMALLCAPS" ref="0c4dd4681ddefc547e182e0a91ffa33c1d210e351adbab9b1c1eda063ddca4ca" args="" -->SMALLCAPS</em>&nbsp;</td><td>
</td></tr>
</table>
</dl>

</div>
</div><p>
<a class="anchor" name="cad6af5e11af48ac0820470cb91b11cc"></a><!-- doxytag: member="LASi::FontWeight" ref="cad6af5e11af48ac0820470cb91b11cc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cc">LASi::FontWeight</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="cad6af5e11af48ac0820470cb91b11cccf7a78ca5a7883a9150c8302d5254666"></a><!-- doxytag: member="ULTRALIGHT" ref="cad6af5e11af48ac0820470cb91b11cccf7a78ca5a7883a9150c8302d5254666" args="" -->ULTRALIGHT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="cad6af5e11af48ac0820470cb91b11ccc770652a8ad0c7a0a844eb89641e9cec"></a><!-- doxytag: member="LIGHT" ref="cad6af5e11af48ac0820470cb91b11ccc770652a8ad0c7a0a844eb89641e9cec" args="" -->LIGHT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="cad6af5e11af48ac0820470cb91b11cceede737451356ec247985ee426b58d53"></a><!-- doxytag: member="NORMAL_WEIGHT" ref="cad6af5e11af48ac0820470cb91b11cceede737451356ec247985ee426b58d53" args="" -->NORMAL_WEIGHT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="cad6af5e11af48ac0820470cb91b11cc5885504bb5a03f3139564e3eb0de12ef"></a><!-- doxytag: member="BOLD" ref="cad6af5e11af48ac0820470cb91b11cc5885504bb5a03f3139564e3eb0de12ef" args="" -->BOLD</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="cad6af5e11af48ac0820470cb91b11cc7816c49ee268403f613ad22921568179"></a><!-- doxytag: member="ULTRABOLD" ref="cad6af5e11af48ac0820470cb91b11cc7816c49ee268403f613ad22921568179" args="" -->ULTRABOLD</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="cad6af5e11af48ac0820470cb91b11cc42575c34093940eb90a1fb3f37e8a7c7"></a><!-- doxytag: member="HEAVY" ref="cad6af5e11af48ac0820470cb91b11cc42575c34093940eb90a1fb3f37e8a7c7" args="" -->HEAVY</em>&nbsp;</td><td>
</td></tr>
</table>
</dl>

</div>
</div><p>
<hr><h2>Function Documentation</h2>
<a class="anchor" name="fd39842e36a3cb260167c975afd394e8"></a><!-- doxytag: member="LASi::operator&lt;&lt;" ref="fd39842e36a3cb260167c975afd394e8" args="(oPostscriptStream &amp;os, T t)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classLASi_1_1oPostscriptStream.html">oPostscriptStream</a>&amp; LASi::operator&lt;&lt;           </td>
          <td>(</td>
          <td class="paramtype">oPostscriptStream &amp;&nbsp;</td>
          <td class="paramname"> <em>os</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T&nbsp;</td>
          <td class="paramname"> <em>t</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr size="1"><address style="text-align: right;"><small>Generated on Fri Feb 8 17:25:20 2008 for LASi by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.4 </small></address>
</body>
</html>
